/* Login page and Register page css */


.text-center {
    text-align: center !important;
  } 



  .btn-icon-clipboard:hover {
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 0px 1px, rgba(0, 0, 0, 0.1) 0px 4px 16px;
  }

  .btn-icon-clipboard>div {
    align-items: center;
    display: flex;
  }

  .btn-icon-clipboard i {
    box-sizing: content-box;
    color: #393f49;
    vertical-align: middle;
    font-size: 1.5rem;
  }

  .btn-icon-clipboard span {
    display: inline-block;
    font-size: .875rem;
    line-height: 1.5;
    color: #393f49;
    margin-left: 16px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    vertical-align: middle;
  }

  .btn-icon-clipboard {
    margin: 0px;
    padding: 24px;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.25;
    color: #393f49;
    background-color: #f8f9fa;
    border-radius: 4px;
    border: 0px none;
    text-align: left;
    font-family: inherit;
    display: inline-block;
    vertical-align: middle;
    text-decoration: none;
    cursor: pointer;
    width: 100%;
    margin: .5rem 0;
  }

  .card-stats .card-body {
    padding: 1rem 1.5rem;
  }
  .card-body {
    flex: 1 1 auto;
    min-height: 1px;
    padding: 1.5rem;
  }
  



  /* Navbar  */

  navbar-search .input-group {
    border-radius: 2rem;
    border: 2px solid;
    background-color: transparent;
  }

  .navbar-search .input-group .input-group-text {
    background-color: transparent;
    padding-left: 1rem;
  }

  .navbar-search .form-control {
    width: 270px;
    background-color: transparent;
  }

  .navbar-search-dark .input-group {
    border-color: rgba(255, 255, 255, 0.6);
  }

  .navbar-search-dark .input-group-text {
    color: rgba(255, 255, 255, 0.6);
  }

  .navbar-search-dark .form-control {
    color: rgba(255, 255, 255, 0.9);
  }

  .navbar-search-dark .form-control::placeholder {
    color: rgba(255, 255, 255, 0.6);
  }

  .navbar-search-dark .focused .input-group {
    border-color: rgba(255, 255, 255, 0.9);
  }

  .navbar-search-light .input-group {
    border-color: rgba(0, 0, 0, 0.6);
  }

  .navbar-search-light .input-group-text {
    color: rgba(0, 0, 0, 0.6);
  }

  .navbar-search-light .form-control {
    color: rgba(0, 0, 0, 0.9);
  }

  .navbar-search-light .form-control::placeholder {
    color: rgba(0, 0, 0, 0.6);
  }

  .navbar-search-light .focused .input-group {
    border-color: rgba(0, 0, 0, 0.9);
  }

  .icon-shape {
    padding: 12px;
    text-align: center;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
  }

  .icon-shape i,
  .icon-shape svg {
    font-size: 1.25rem;
  }

  .icon-shape.icon-lg i,
  .icon-shape.icon-lg svg {
    font-size: 1.625rem;
  }

  .icon-shape.icon-sm i,
  .icon-shape.icon-sm svg {
    font-size: .875rem;
  }

  .icon-shape svg {
    width: 30px;
    height: 30px;
  }

  .icon-shape-primary {
    color: #2643e9;
    background-color: rgba(138, 152, 235, 0.5);
  }

  .icon-shape-secondary {
    color: #cfe3f1;
    background-color: rgba(255, 255, 255, 0.5);
  }

  .icon-shape-success {
    color: #1aae6f;
    background-color: rgba(84, 218, 161, 0.5);
  }

  .icon-shape-info {
    color: #03acca;
    background-color: rgba(65, 215, 242, 0.5);
  }

  .icon-shape-warning {
    color: #ff3709;
    background-color: rgba(252, 140, 114, 0.5);
  }

  .icon-shape-danger {
    color: #f80031;
    background-color: rgba(247, 103, 131, 0.5);
  }

  .icon-shape-light {
    color: #879cb0;
    background-color: rgba(201, 207, 212, 0.5);
  }

  .icon-shape-dark {
    color: #090c0e;
    background-color: rgba(56, 63, 69, 0.5);
  }

  .icon-shape-default {
    color: #091428;
    background-color: rgba(35, 65, 116, 0.5);
  }

  .icon-shape-white {
    color: #e8e3e3;
    background-color: rgba(255, 255, 255, 0.5);
  }

  .icon-shape-neutral {
    color: #e8e3e3;
    background-color: rgba(255, 255, 255, 0.5);
  }

  .icon-shape-darker {
    color: black;
    background-color: rgba(26, 26, 26, 0.5);
  }


  .nav-wrapper {
    padding: 1rem 0;
    border-top-left-radius: 0.375rem;
    border-top-right-radius: 0.375rem;
  }

  .nav-wrapper+.card {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0.375rem;
    border-bottom-left-radius: 0.375rem;
  }

  .nav-link {
    color: #525f7f;
  }

  .nav-link:hover {
    color: #5e72e4;
  }

  .nav-link i.ni {
    position: relative;
    top: 2px;
  }

  @media (min-width: 992px) {
    .nav-item.active-pro {
      position: absolute;
      width: 100%;
      bottom: 10px;
      background: #f6f9fc;
    }
  }

  .nav-pills .nav-item:not(:last-child) {
    padding-right: 1rem;
  }

  .nav-pills .nav-link {
    padding: 0.75rem 1rem;
    color: #5e72e4;
    font-weight: 500;
    font-size: 0.875rem;
    box-shadow: 0 4px 6px rgba(50, 50, 93, 0.11), 0 1px 3px rgba(0, 0, 0, 0.08);
    background-color: #fff;
    transition: all 0.15s ease;
  }

  .nav-pills .nav-link:hover {
    color: #485fe0;
  }

  .nav-pills .nav-link.active,
  .nav-pills .show>.nav-link {
    color: #fff;
    background-color: #5e72e4;
  }

  @media (max-width: 575.98px) {
    .nav-pills .nav-item {
      margin-bottom: 1rem;
    }
  }

  @media (max-width: 767.98px) {
    .nav-pills:not(.nav-pills-circle) .nav-item {
      padding-right: 0;
    }
  }

  .nav-pills-circle .nav-link {
    text-align: center;
    height: 60px;
    width: 60px;
    padding: 0;
    line-height: 60px;
    border-radius: 50%;
  }

  .nav-pills-circle .nav-link-icon i,
  .nav-pills-circle .nav-link-icon svg {
    font-size: 1rem;
  }

  .navbar-horizontal .navbar-nav .nav-link {
    font-size: 0.9rem;
    font-weight: 400;
    text-transform: normal;
    letter-spacing: 0;
    transition: all 0.15s linear;
  }

  @media (prefers-reduced-motion: reduce) {
    .navbar-horizontal .navbar-nav .nav-link {
      transition: none;
    }
  }

  .navbar-horizontal .navbar-nav .nav-link .nav-link-inner--text {
    margin-left: .25rem;
  }

  .navbar-horizontal .navbar-brand {
    font-size: 0.875rem;
    font-weight: 600;
    text-transform: uppercase;
    font-size: .875rem;
    letter-spacing: .05px;
  }

  .navbar-horizontal .navbar-brand img {
    height: 30px;
  }

  .navbar-horizontal .navbar-dark .navbar-brand {
    color: #fff;
  }

  .navbar-horizontal .navbar-light .navbar-brand {
    color: #32325d;
  }

  .navbar-horizontal .navbar-nav .nav-item .media:not(:last-child) {
    margin-bottom: 1.5rem;
  }

  @media (min-width: 992px) {
    .navbar-horizontal .navbar-nav .nav-item {
      margin-right: .5rem;
    }

    .navbar-horizontal .navbar-nav .nav-item [data-toggle="dropdown"]::after {
      transition: all 0.15s ease;
    }

    .navbar-horizontal .navbar-nav .nav-item.show [data-toggle="dropdown"]::after {
      transform: rotate(180deg);
    }

    .navbar-horizontal .navbar-nav .nav-link {
      padding-top: 1rem;
      padding-bottom: 1rem;
      border-radius: 0.375rem;
    }

    .navbar-horizontal .navbar-nav .nav-link i {
      margin-right: .625rem;
    }

    .navbar-horizontal .navbar-nav .nav-link-icon {
      padding-left: .5rem !important;
      padding-right: .5rem !important;
      font-size: 1rem;
      border-radius: 0.375rem;
    }

    .navbar-horizontal .navbar-nav .nav-link-icon i {
      margin-right: 0;
    }
  }

  .navbar-horizontal .navbar-transparent {
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 100;
    background-color: transparent;
    border: 0;
    box-shadow: none;
  }

  .navbar-horizontal .navbar-transparent .navbar-brand {
    color: white;
  }

  .navbar-horizontal .navbar-transparent .navbar-toggler {
    color: white;
  }

  .navbar-horizontal .navbar-transparent .navbar-toggler-icon {
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'><path stroke='rgba(255, 255, 255, 0.95)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/></svg>");
  }

  @media (min-width: 768px) {
    .navbar-horizontal .navbar-transparent .navbar-nav .nav-link {
      color: rgba(255, 255, 255, 0.95);
    }

    .navbar-horizontal .navbar-transparent .navbar-nav .nav-link:hover,
    .navbar-horizontal .navbar-transparent .navbar-nav .nav-link:focus {
      color: rgba(255, 255, 255, 0.65);
    }

    .navbar-horizontal .navbar-transparent .navbar-nav .nav-link.disabled {
      color: rgba(255, 255, 255, 0.25);
    }

    .navbar-horizontal .navbar-transparent .navbar-nav .show>.nav-link,
    .navbar-horizontal .navbar-transparent .navbar-nav .active>.nav-link,
    .navbar-horizontal .navbar-transparent .navbar-nav .nav-link.show,
    .navbar-horizontal .navbar-transparent .navbar-nav .nav-link.active {
      color: rgba(255, 255, 255, 0.65);
    }

    .navbar-horizontal .navbar-transparent .navbar-brand {
      color: rgba(255, 255, 255, 0.95);
    }

    .navbar-horizontal .navbar-transparent .navbar-brand:hover,
    .navbar-horizontal .navbar-transparent .navbar-brand:focus {
      color: rgba(255, 255, 255, 0.95);
    }
  }

  .navbar-vertical {
    box-shadow: 0 0 2rem 0 rgba(136, 152, 170, 0.15) !important;
  }

  .navbar-vertical .navbar {
    border-width: 0 0 1px 0;
    border-style: solid;
  }

  .navbar-vertical .navbar-light {
    background-color: transparent;
    border-color: #f6f9fc;
  }

  .navbar-vertical .navbar-brand {
    margin-right: 0;
  }

  .navbar-vertical .navbar-brand-img,
  .navbar-vertical .navbar-brand>img {
    max-width: 100%;
    max-height: 2rem;
  }

  @media (min-width: 768px) {
    .navbar-vertical .navbar-collapse {
      margin-left: -1rem;
      margin-right: -1rem;
      padding-left: 1rem;
      padding-right: 1rem;
    }

    .navbar-vertical .navbar-collapse:before {
      content: '';
      display: block;
      margin: 1rem -1rem;
    }
  }

  .navbar-vertical .navbar-nav {
    margin-left: -1rem;
    margin-right: -1rem;
  }

  .navbar-vertical .navbar-nav .nav-link {
    padding-left: 1rem;
    padding-right: 1rem;
    font-size: 0.9rem;
  }

  .navbar-vertical .navbar-nav .nav-link.active {
    position: relative;
  }

  .navbar-vertical .navbar-nav .nav-link.active:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0.25rem;
    bottom: 0.25rem;
    border-left: 2px solid #5e72e4;
  }

  .navbar-vertical .navbar-nav .nav-link>i {
    min-width: 2.25rem;
    font-size: .9375rem;
    line-height: 1.5rem;
  }

  .navbar-vertical .navbar-nav .nav-link .dropdown-menu {
    border: none;
  }

  .navbar-vertical .navbar-nav .nav-link .dropdown-menu .dropdown-menu {
    margin-left: 0.75rem;
  }

  .navbar-vertical .navbar-nav .nav-link {
    display: flex;
    align-items: center;
  }

  .navbar-vertical .navbar-nav .nav-link[data-toggle="collapse"]:after {
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font-family: 'Font Awesome 5 Free';
    font-weight: 700;
    content: "\f105";
    margin-left: auto;
    color: #8898aa;
    transition: all 0.15s ease;
  }

  .navbar-vertical .navbar-nav .nav-link[data-toggle="collapse"][aria-expanded="true"]:after {
    transform: rotate(90deg);
  }

  .navbar-vertical .navbar-nav .nav .nav-link {
    padding-left: 3.25rem;
  }

  .navbar-vertical .navbar-nav .nav .nav .nav-link {
    padding-left: 3.75rem;
  }

  .navbar-vertical .navbar-heading {
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
    font-size: 0.75rem;
    text-transform: uppercase;
    letter-spacing: .04em;
  }

  .navbar-vertical.navbar-expand-xs {
    display: block;
    position: fixed;
    top: 0;
    bottom: 0;
    width: 100%;
    max-width: 250px;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    overflow-y: auto;
  }

  .navbar-vertical.navbar-expand-xs>[class*="container"] {
    flex-direction: column;
    align-items: stretch;
    min-height: 100%;
    padding-left: 0;
    padding-right: 0;
  }

  @media all and (-ms-high-contrast: none),
  (-ms-high-contrast: active) {
    .navbar-vertical.navbar-expand-xs>[class*="container"] {
      min-height: none;
      height: 100%;
    }
  }

  .navbar-vertical.navbar-expand-xs.fixed-left {
    left: 0;
    border-width: 0 1px 0 0;
  }

  .navbar-vertical.navbar-expand-xs.fixed-right {
    right: 0;
    border-width: 0 0 0 1px;
  }

  .navbar-vertical.navbar-expand-xs .navbar-collapse {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    margin-left: -1.5rem;
    margin-right: -1.5rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }

  .navbar-vertical.navbar-expand-xs .navbar-collapse>* {
    min-width: 100%;
  }

  .navbar-vertical.navbar-expand-xs .navbar-nav {
    flex-direction: column;
    margin-left: -1.5rem;
    margin-right: -1.5rem;
  }

  .navbar-vertical.navbar-expand-xs .navbar-nav .nav-link {
    padding: 0.65rem 1.5rem;
  }

  .navbar-vertical.navbar-expand-xs .navbar-nav .nav-link.active:before {
    top: 0.25rem;
    bottom: 0.25rem;
    left: 0;
    right: auto;
    border-left: 2px solid #5e72e4;
    border-bottom: 0;
  }

  .navbar-vertical.navbar-expand-xs .navbar-nav .nav .nav-link {
    padding-left: 3.75rem;
  }

  .navbar-vertical.navbar-expand-xs .navbar-nav .nav .nav .nav-link {
    padding-left: 4.5rem;
  }

  .navbar-vertical.navbar-expand-xs .navbar-brand {
    display: block;
    text-align: center;
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  .navbar-vertical.navbar-expand-xs .navbar-brand-img {
    max-height: 2.5rem;
  }

  .navbar-vertical.navbar-expand-xs .navbar-user {
    margin-left: -1.5rem;
    margin-right: -1.5rem;
    padding-top: 1rem;
    padding-bottom: 0rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    border-top: 1px solid #e9ecef;
  }

  .navbar-vertical.navbar-expand-xs .navbar-user .dropup .dropdown-menu {
    left: 50%;
    transform: translateX(-50%);
  }

  @media (min-width: 576px) {
    .navbar-vertical.navbar-expand-sm {
      display: block;
      position: fixed;
      top: 0;
      bottom: 0;
      width: 100%;
      max-width: 250px;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      overflow-y: auto;
    }

    .navbar-vertical.navbar-expand-sm>[class*="container"] {
      flex-direction: column;
      align-items: stretch;
      min-height: 100%;
      padding-left: 0;
      padding-right: 0;
    }
  }

  @media all and (min-width: 576px) and (-ms-high-contrast: none),
  (min-width: 576px) and (-ms-high-contrast: active) {
    .navbar-vertical.navbar-expand-sm>[class*="container"] {
      min-height: none;
      height: 100%;
    }
  }

  @media (min-width: 576px) {
    .navbar-vertical.navbar-expand-sm.fixed-left {
      left: 0;
      border-width: 0 1px 0 0;
    }

    .navbar-vertical.navbar-expand-sm.fixed-right {
      right: 0;
      border-width: 0 0 0 1px;
    }

    .navbar-vertical.navbar-expand-sm .navbar-collapse {
      flex: 1;
      display: flex;
      flex-direction: column;
      align-items: stretch;
      margin-left: -1.5rem;
      margin-right: -1.5rem;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
    }

    .navbar-vertical.navbar-expand-sm .navbar-collapse>* {
      min-width: 100%;
    }

    .navbar-vertical.navbar-expand-sm .navbar-nav {
      flex-direction: column;
      margin-left: -1.5rem;
      margin-right: -1.5rem;
    }

    .navbar-vertical.navbar-expand-sm .navbar-nav .nav-link {
      padding: 0.65rem 1.5rem;
    }

    .navbar-vertical.navbar-expand-sm .navbar-nav .nav-link.active:before {
      top: 0.25rem;
      bottom: 0.25rem;
      left: 0;
      right: auto;
      border-left: 2px solid #5e72e4;
      border-bottom: 0;
    }

    .navbar-vertical.navbar-expand-sm .navbar-nav .nav .nav-link {
      padding-left: 3.75rem;
    }

    .navbar-vertical.navbar-expand-sm .navbar-nav .nav .nav .nav-link {
      padding-left: 4.5rem;
    }

    .navbar-vertical.navbar-expand-sm .navbar-brand {
      display: block;
      text-align: center;
      padding-top: 1rem;
      padding-bottom: 1rem;
    }

    .navbar-vertical.navbar-expand-sm .navbar-brand-img {
      max-height: 2.5rem;
    }

    .navbar-vertical.navbar-expand-sm .navbar-user {
      margin-left: -1.5rem;
      margin-right: -1.5rem;
      padding-top: 1rem;
      padding-bottom: 0rem;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      border-top: 1px solid #e9ecef;
    }

    .navbar-vertical.navbar-expand-sm .navbar-user .dropup .dropdown-menu {
      left: 50%;
      transform: translateX(-50%);
    }
  }

  @media (min-width: 768px) {
    .navbar-vertical.navbar-expand-md {
      display: block;
      position: fixed;
      top: 0;
      bottom: 0;
      width: 100%;
      max-width: 250px;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      overflow-y: auto;
    }

    .navbar-vertical.navbar-expand-md>[class*="container"] {
      flex-direction: column;
      align-items: stretch;
      min-height: 100%;
      padding-left: 0;
      padding-right: 0;
    }
  }

  @media all and (min-width: 768px) and (-ms-high-contrast: none),
  (min-width: 768px) and (-ms-high-contrast: active) {
    .navbar-vertical.navbar-expand-md>[class*="container"] {
      min-height: none;
      height: 100%;
    }
  }

  @media (min-width: 768px) {
    .navbar-vertical.navbar-expand-md.fixed-left {
      left: 0;
      border-width: 0 1px 0 0;
    }

    .navbar-vertical.navbar-expand-md.fixed-right {
      right: 0;
      border-width: 0 0 0 1px;
    }

    .navbar-vertical.navbar-expand-md .navbar-collapse {
      flex: 1;
      display: flex;
      flex-direction: column;
      align-items: stretch;
      margin-left: -1.5rem;
      margin-right: -1.5rem;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
    }

    .navbar-vertical.navbar-expand-md .navbar-collapse>* {
      min-width: 100%;
    }

    .navbar-vertical.navbar-expand-md .navbar-nav {
      flex-direction: column;
      margin-left: -1.5rem;
      margin-right: -1.5rem;
    }

    .navbar-vertical.navbar-expand-md .navbar-nav .nav-link {
      padding: 0.65rem 1.5rem;
    }

    .navbar-vertical.navbar-expand-md .navbar-nav .nav-link.active:before {
      top: 0.25rem;
      bottom: 0.25rem;
      left: 0;
      right: auto;
      border-left: 2px solid #5e72e4;
      border-bottom: 0;
    }

    .navbar-vertical.navbar-expand-md .navbar-nav .nav .nav-link {
      padding-left: 3.75rem;
    }

    .navbar-vertical.navbar-expand-md .navbar-nav .nav .nav .nav-link {
      padding-left: 4.5rem;
    }

    .navbar-vertical.navbar-expand-md .navbar-brand {
      display: block;
      text-align: center;
      padding-top: 1rem;
      padding-bottom: 1rem;
    }

    .navbar-vertical.navbar-expand-md .navbar-brand-img {
      max-height: 2.5rem;
    }

    .navbar-vertical.navbar-expand-md .navbar-user {
      margin-left: -1.5rem;
      margin-right: -1.5rem;
      padding-top: 1rem;
      padding-bottom: 0rem;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      border-top: 1px solid #e9ecef;
    }

    .navbar-vertical.navbar-expand-md .navbar-user .dropup .dropdown-menu {
      left: 50%;
      transform: translateX(-50%);
    }
  }

  @media (min-width: 992px) {
    .navbar-vertical.navbar-expand-lg {
      display: block;
      position: fixed;
      top: 0;
      bottom: 0;
      width: 100%;
      max-width: 250px;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      overflow-y: auto;
    }

    .navbar-vertical.navbar-expand-lg>[class*="container"] {
      flex-direction: column;
      align-items: stretch;
      min-height: 100%;
      padding-left: 0;
      padding-right: 0;
    }
  }

  @media all and (min-width: 992px) and (-ms-high-contrast: none),
  (min-width: 992px) and (-ms-high-contrast: active) {
    .navbar-vertical.navbar-expand-lg>[class*="container"] {
      min-height: none;
      height: 100%;
    }
  }

  @media (min-width: 992px) {
    .navbar-vertical.navbar-expand-lg.fixed-left {
      left: 0;
      border-width: 0 1px 0 0;
    }

    .navbar-vertical.navbar-expand-lg.fixed-right {
      right: 0;
      border-width: 0 0 0 1px;
    }

    .navbar-vertical.navbar-expand-lg .navbar-collapse {
      flex: 1;
      display: flex;
      flex-direction: column;
      align-items: stretch;
      margin-left: -1.5rem;
      margin-right: -1.5rem;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
    }

    .navbar-vertical.navbar-expand-lg .navbar-collapse>* {
      min-width: 100%;
    }

    .navbar-vertical.navbar-expand-lg .navbar-nav {
      flex-direction: column;
      margin-left: -1.5rem;
      margin-right: -1.5rem;
    }

    .navbar-vertical.navbar-expand-lg .navbar-nav .nav-link {
      padding: 0.65rem 1.5rem;
    }

    .navbar-vertical.navbar-expand-lg .navbar-nav .nav-link.active:before {
      top: 0.25rem;
      bottom: 0.25rem;
      left: 0;
      right: auto;
      border-left: 2px solid #5e72e4;
      border-bottom: 0;
    }

    .navbar-vertical.navbar-expand-lg .navbar-nav .nav .nav-link {
      padding-left: 3.75rem;
    }

    .navbar-vertical.navbar-expand-lg .navbar-nav .nav .nav .nav-link {
      padding-left: 4.5rem;
    }

    .navbar-vertical.navbar-expand-lg .navbar-brand {
      display: block;
      text-align: center;
      padding-top: 1rem;
      padding-bottom: 1rem;
    }

    .navbar-vertical.navbar-expand-lg .navbar-brand-img {
      max-height: 2.5rem;
    }

    .navbar-vertical.navbar-expand-lg .navbar-user {
      margin-left: -1.5rem;
      margin-right: -1.5rem;
      padding-top: 1rem;
      padding-bottom: 0rem;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      border-top: 1px solid #e9ecef;
    }

    .navbar-vertical.navbar-expand-lg .navbar-user .dropup .dropdown-menu {
      left: 50%;
      transform: translateX(-50%);
    }
  }

  @media (min-width: 1200px) {
    .navbar-vertical.navbar-expand-xl {
      display: block;
      position: fixed;
      top: 0;
      bottom: 0;
      width: 100%;
      max-width: 250px;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      overflow-y: auto;
    }

    .navbar-vertical.navbar-expand-xl>[class*="container"] {
      flex-direction: column;
      align-items: stretch;
      min-height: 100%;
      padding-left: 0;
      padding-right: 0;
    }
  }

  @media all and (min-width: 1200px) and (-ms-high-contrast: none),
  (min-width: 1200px) and (-ms-high-contrast: active) {
    .navbar-vertical.navbar-expand-xl>[class*="container"] {
      min-height: none;
      height: 100%;
    }
  }

  @media (min-width: 1200px) {
    .navbar-vertical.navbar-expand-xl.fixed-left {
      left: 0;
      border-width: 0 1px 0 0;
    }

    .navbar-vertical.navbar-expand-xl.fixed-right {
      right: 0;
      border-width: 0 0 0 1px;
    }

    .navbar-vertical.navbar-expand-xl .navbar-collapse {
      flex: 1;
      display: flex;
      flex-direction: column;
      align-items: stretch;
      margin-left: -1.5rem;
      margin-right: -1.5rem;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
    }

    .navbar-vertical.navbar-expand-xl .navbar-collapse>* {
      min-width: 100%;
    }

    .navbar-vertical.navbar-expand-xl .navbar-nav {
      flex-direction: column;
      margin-left: -1.5rem;
      margin-right: -1.5rem;
    }

    .navbar-vertical.navbar-expand-xl .navbar-nav .nav-link {
      padding: 0.65rem 1.5rem;
    }

    .navbar-vertical.navbar-expand-xl .navbar-nav .nav-link.active:before {
      top: 0.25rem;
      bottom: 0.25rem;
      left: 0;
      right: auto;
      border-left: 2px solid #5e72e4;
      border-bottom: 0;
    }

    .navbar-vertical.navbar-expand-xl .navbar-nav .nav .nav-link {
      padding-left: 3.75rem;
    }

    .navbar-vertical.navbar-expand-xl .navbar-nav .nav .nav .nav-link {
      padding-left: 4.5rem;
    }

    .navbar-vertical.navbar-expand-xl .navbar-brand {
      display: block;
      text-align: center;
      padding-top: 1rem;
      padding-bottom: 1rem;
    }

    .navbar-vertical.navbar-expand-xl .navbar-brand-img {
      max-height: 2.5rem;
    }

    .navbar-vertical.navbar-expand-xl .navbar-user {
      margin-left: -1.5rem;
      margin-right: -1.5rem;
      padding-top: 1rem;
      padding-bottom: 0rem;
      padding-left: 1.5rem;
      padding-right: 1.5rem;
      border-top: 1px solid #e9ecef;
    }

    .navbar-vertical.navbar-expand-xl .navbar-user .dropup .dropdown-menu {
      left: 50%;
      transform: translateX(-50%);
    }
  }


  @media (min-width: 768px) {
    .navbar .dropdown-menu {
      opacity: 0;
      pointer-events: none;
      margin: 0;
    }

    .navbar .dropdown-menu-arrow:before {
      background: #fff;
      box-shadow: none;
      content: '';
      display: block;
      height: 12px;
      width: 12px;
      left: 20px;
      position: absolute;
      bottom: 100%;
      transform: rotate(-45deg) translateY(12px);
      z-index: -5;
      border-radius: 2px;
    }

    .navbar .dropdown-menu-right:before {
      right: 20px;
      left: auto;
    }

    .navbar:not(.navbar-nav-hover) .dropdown-menu.show {
      opacity: 1;
      pointer-events: auto;
      animation: show-navbar-dropdown .25s ease forwards;
    }

    .navbar:not(.navbar-nav-hover) .dropdown-menu.close {
      display: block;
      animation: hide-navbar-dropdown .15s ease backwards;
    }

    .navbar.navbar-nav-hover .dropdown-menu {
      opacity: 0;
      display: block;
      pointer-events: none;
      transform: translate(0, 10px) perspective(200px) rotateX(-2deg);
      transition: visibility 0.25s, opacity 0.25s, transform 0.25s;
    }

    .navbar.navbar-nav-hover .nav-item.dropdown:hover>.dropdown-menu {
      display: block;
      opacity: 1;
      pointer-events: auto;
      visibility: visible;
      transform: translate(0, 0);
      animation: none;
    }

    .navbar .dropdown-menu-inner {
      position: relative;
      padding: 1rem;
    }

    @keyframes show-navbar-dropdown {
      0% {
        opacity: 0;
        transform: translate(0, 10px) perspective(200px) rotateX(-2deg);
        transition: visibility 0.25s, opacity 0.25s, transform 0.25s;
      }

      100% {
        transform: translate(0, 0);
        opacity: 1;
      }
    }

    @keyframes hide-navbar-dropdown {
      from {
        opacity: 1;
      }

      to {
        opacity: 0;
        transform: translate(0, 10px);
      }
    }
  }

  .navbar-collapse-header {
    display: none;
  }

  @media (max-width: 767.98px) {
    .navbar-nav .nav-link {
      padding: .625rem 0;
      color: #172b4d !important;
    }

    .navbar-nav .dropdown-menu {
      box-shadow: none;
      min-width: auto;
    }

    .navbar-nav .dropdown-menu .media svg {
      width: 30px;
    }

    .navbar-collapse {
      width: calc(100% - 1.4rem);
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      z-index: 1050;
      margin: .7rem;
      overflow-y: auto;
      height: auto !important;
      opacity: 0;
    }

    .navbar-collapse .navbar-toggler {
      width: 20px;
      height: 20px;
      position: relative;
      cursor: pointer;
      display: inline-block;
      padding: 0;
    }

    .navbar-collapse .navbar-toggler span {
      display: block;
      position: absolute;
      width: 100%;
      height: 2px;
      border-radius: 2px;
      opacity: 1;
      background: #283448;
    }

    .navbar-collapse .navbar-toggler :nth-child(1) {
      transform: rotate(135deg);
    }

    .navbar-collapse .navbar-toggler :nth-child(2) {
      transform: rotate(-135deg);
    }

    .navbar-collapse .navbar-collapse-header {
      display: block;
      padding-bottom: 1rem;
      margin-bottom: 1rem;
      border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    }

    .navbar-collapse .collapse-brand img {
      height: 36px;
    }

    .navbar-collapse .collapse-close {
      text-align: right;
    }

    .navbar-collapse.collapsing,
    .navbar-collapse.show {
      padding: 1.5rem;
      border-radius: 0.375rem;
      background: #FFF;
      box-shadow: 0 50px 100px rgba(50, 50, 93, 0.1), 0 15px 35px rgba(50, 50, 93, 0.15), 0 5px 15px rgba(0, 0, 0, 0.1);
      animation: show-navbar-collapse .2s ease forwards;
    }

    .navbar-collapse.collapsing-out {
      animation: hide-navbar-collapse .2s ease forwards;
    }
  }

  @keyframes show-navbar-collapse {
    0% {
      opacity: 0;
      transform: scale(0.95);
      transform-origin: 100% 0;
    }

    100% {
      opacity: 1;
      transform: scale(1);
    }
  }

  @keyframes hide-navbar-collapse {
    from {
      opacity: 1;
      transform: scale(1);
      transform-origin: 100% 0;
    }

    to {
      opacity: 0;
      transform: scale(0.95);
    }
  }

  .page-item.active .page-link {
    box-shadow: 0 7px 14px rgba(50, 50, 93, 0.1), 0 3px 6px rgba(0, 0, 0, 0.08);
  }

  .page-item .page-link,
  .page-item span {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin: 0 3px;
    border-radius: 50% !important;
    width: 36px;
    height: 36px;
    font-size: 0.875rem;
  }

  .pagination-lg .page-item .page-link,
  .pagination-lg .page-item span {
    width: 46px;
    height: 46px;
    line-height: 46px;
  }

  .pagination-sm .page-item .page-link,
  .pagination-sm .page-item span {
    width: 30px;
    height: 30px;
    line-height: 30px;
  }

  .progress-wrapper {
    position: relative;
    padding-top: 1.5rem;
  }

  .progress {
    height: 8px;
    margin-bottom: 1rem;
    overflow: hidden;
    border-radius: 0.25rem;
    background-color: #e9ecef;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
  }

  .progress .sr-only {
    width: auto;
    height: 20px;
    margin: 0 0 0 30px;
    left: 0;
    clip: auto;
    line-height: 20px;
    font-size: 13px;
  }

  .progress-heading {
    font-size: 14px;
    font-weight: 500;
    margin: 0 0 2px;
    padding: 0;
  }

  .progress-bar {
    box-shadow: none;
    border-radius: 0;
    height: auto;
  }

  .progress-info {
    margin-bottom: .5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .progress-label span {
    display: inline-block;
    color: #5e72e4;
    font-size: .625rem;
    font-weight: 600;
    text-transform: uppercase;
    background: rgba(94, 114, 228, 0.1);
    padding: .25rem 1rem;
    border-radius: 30px;
  }

  .progress-percentage {
    text-align: right;
  }

  .progress-percentage span {
    display: inline-block;
    color: #8898aa;
    font-size: .875rem;
    font-weight: 600;
  }

  .separator {
    position: absolute;
    top: auto;
    left: 0;
    right: 0;
    width: 100%;
    height: 150px;
    transform: translateZ(0);
    overflow: hidden;
    pointer-events: none;
  }

  .separator svg {
    position: absolute;
    pointer-events: none;
  }

  .separator-top {
    top: 0;
    bottom: auto;
  }

  .separator-top svg {
    top: 0;
  }

  .separator-bottom {
    top: auto;
    bottom: 0;
  }

  .separator-bottom svg {
    bottom: 0;
  }

  .separator-inverse {
    transform: rotate(180deg);
  }

  .separator-skew {
    height: 60px;
  }

  @media (min-width: 1200px) {
    .separator-skew {
      height: 70px;
    }
  }

  .table thead th {
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
    font-size: 0.65rem;
    text-transform: uppercase;
    letter-spacing: 1px;
    border-bottom: 1px solid #e9ecef;
  }

  .table th {
    font-weight: 600;
  }

  .table td .progress {
    height: 3px;
    width: 120px;
    margin: 0;
  }

  .table td,
  .table th {
    font-size: 0.8125rem;
    white-space: nowrap;
  }

  .table.align-items-center td,
  .table.align-items-center th {
    vertical-align: middle;
  }

  .table .thead-dark th {
    background-color: #1c345d;
    color: #4d7bca;
  }

  .table .thead-light th {
    background-color: #f6f9fc;
    color: #8898aa;
  }

  .table-hover tr {
    transition: all 0.15s ease;
  }

  @media (prefers-reduced-motion: reduce) {
    .table-hover tr {
      transition: none;
    }
  }

  .table-flush td,
  .table-flush th {
    border-left: 0;
    border-right: 0;
  }

  .table-flush tbody tr:first-child td,
  .table-flush tbody tr:first-child th {
    border-top: 0;
  }

  .table-flush tbody tr:last-child td,
  .table-flush tbody tr:last-child th {
    border-bottom: 0;
  }

  .card .table {
    margin-bottom: 0;
  }

  .card .table td,
  .card .table th {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }

  p {
    font-size: 1rem;
    font-weight: 300;
    line-height: 1.7;
  }

  .lead {
    font-size: 1.25rem;
    font-weight: 300;
    line-height: 1.7;
    margin-top: 1.5rem;
  }

  .lead+.btn-wrapper {
    margin-top: 3rem;
  }

  .description {
    font-size: 0.875rem;
  }

  .heading {
    letter-spacing: 0.025em;
    font-size: 0.95rem;
    text-transform: uppercase;
    font-weight: 600;
  }

  .heading-small {
    padding-top: .25rem;
    padding-bottom: .25rem;
    font-size: .75rem;
    text-transform: uppercase;
    letter-spacing: .04em;
  }

  .heading-title {
    letter-spacing: 0.025em;
    font-size: 1.375rem;
    font-weight: 600;
    text-transform: uppercase;
  }

  .heading-section {
    letter-spacing: 0.025em;
    font-size: 1.375rem;
    font-weight: 600;
    text-transform: uppercase;
  }

  .heading-section img {
    display: block;
    width: 72px;
    height: 72px;
    margin-bottom: 1.5rem;
  }

  .heading-section.text-center img {
    margin-left: auto;
    margin-right: auto;
  }

  .display-1 span,
  .display-2 span,
  .display-3 span,
  .display-4 span {
    display: block;
    font-weight: 300;
  }

  article h4:not(:first-child),
  article h5:not(:first-child) {
    margin-top: 3rem;
  }

  article h4,
  article h5 {
    margin-bottom: 1.5rem;
  }

  article figure {
    margin: 3rem 0;
  }

  article h5+figure {
    margin-top: 0;
  }


  *,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  font-family: sans-serif;
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

article,
aside,
figcaption,
figure,
footer,
header,
hgroup,
main,
nav,
section {
  display: block;
}

body {
  margin: 0;
  font-family: Open Sans, sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #525f7f;
  text-align: left;
  background-color: #f8f9fe;
}

[tabindex="-1"]:focus:not(:focus-visible) {
  outline: 0 !important;
}

hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
  margin-bottom: 0.5rem;
}

p {
  margin-top: 0;
  margin-bottom: 1rem;
}

abbr[title],
abbr[data-original-title] {
  text-decoration: underline;
  text-decoration: underline dotted;
  cursor: help;
  border-bottom: 0;
  text-decoration-skip-ink: none;
}

address {
  margin-bottom: 1rem;
  font-style: normal;
  line-height: inherit;
}

ol,
ul,
dl {
  margin-top: 0;
  margin-bottom: 1rem;
}

ol ol,
ul ul,
ol ul,
ul ol {
  margin-bottom: 0;
}

dt {
  font-weight: 600;
}

dd {
  margin-bottom: .5rem;
  margin-left: 0;
}

blockquote {
  margin: 0 0 1rem;
}

b,
strong {
  font-weight: bolder;
}

small {
  font-size: 80%;
}

sub,
sup {
  position: relative;
  font-size: 75%;
  line-height: 0;
  vertical-align: baseline;
}

sub {
  bottom: -.25em;
}

sup {
  top: -.5em;
}

a {
  color: #5e72e4;
  text-decoration: none;
  background-color: transparent;
}

a:hover {
  color: #233dd2;
  text-decoration: none;
}

a:not([href]):not([class]) {
  color: inherit;
  text-decoration: none;
}

a:not([href]):not([class]):hover {
  color: inherit;
  text-decoration: none;
}

pre,
code,
kbd,
samp {
  font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  font-size: 1em;
}

pre {
  margin-top: 0;
  margin-bottom: 1rem;
  overflow: auto;
}

figure {
  margin: 0 0 1rem;
}

img {
  vertical-align: middle;
  border-style: none;
}

svg {
  overflow: hidden;
  vertical-align: middle;
}

table {
  border-collapse: collapse;
}

caption {
  padding-top: 1rem;
  padding-bottom: 1rem;
  color: #8898aa;
  text-align: left;
  caption-side: bottom;
}

th {
  text-align: inherit;
  text-align: -webkit-match-parent;
}

label {
  display: inline-block;
  margin-bottom: 0.5rem;
}

button {
  border-radius: 0;
}

button:focus:not(:focus-visible) {
  outline: 0;
}

input,
button,
select,
optgroup,
textarea {
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

button,
input {
  overflow: visible;
}

button,
select {
  text-transform: none;
}

[role="button"] {
  cursor: pointer;
}

select {
  word-wrap: normal;
}

button,
[type="button"],
[type="reset"],
[type="submit"] 


button:not(:disabled),
[type="button"]:not(:disabled),
[type="reset"]:not(:disabled),
[type="submit"]:not(:disabled) {
  cursor: pointer;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  padding: 0;
  border-style: none;
}

input[type="radio"],
input[type="checkbox"] {
  box-sizing: border-box;
  padding: 0;
}

textarea {
  overflow: auto;
  resize: vertical;
}

fieldset {
  min-width: 0;
  padding: 0;
  margin: 0;
  border: 0;
}

legend {
  display: block;
  width: 100%;
  max-width: 100%;
  padding: 0;
  margin-bottom: .5rem;
  font-size: 1.5rem;
  line-height: inherit;
  color: inherit;
  white-space: normal;
}

progress {
  vertical-align: baseline;
}

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto;
}

[type="search"] {
  outline-offset: -2px;
}


::-webkit-file-upload-button {
  font: inherit;
}

output {
  display: inline-block;
}

summary {
  display: list-item;
  cursor: pointer;
}

template {
  display: none;
}

[hidden] {
  display: none !important;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  margin-bottom: 0.5rem;
  font-family: inherit;
  font-weight: 600;
  line-height: 1.5;
  color: #32325d;
}

h1,
.h1 {
  font-size: 1.625rem;
}

h2,
.h2 {
  font-size: 1.25rem;
}

h3,
.h3 {
  font-size: 1.0625rem;
}

h4,
.h4 {
  font-size: 0.9375rem;
}

h5,
.h5 {
  font-size: 0.8125rem;
}

h6,
.h6 {
  font-size: 0.625rem;
}

.lead {
  font-size: 1.25rem;
  font-weight: 300;
}

.display-1 {
  font-size: 3.3rem;
  font-weight: 600;
  line-height: 1.5;
}

.display-2 {
  font-size: 2.75rem;
  font-weight: 600;
  line-height: 1.5;
}

.display-3 {
  font-size: 2.1875rem;
  font-weight: 600;
  line-height: 1.5;
}

.display-4 {
  font-size: 1.6275rem;
  font-weight: 600;
  line-height: 1.5;
}

hr {
  margin-top: 2rem;
  margin-bottom: 2rem;
  border: 0;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
}

small,
.small {
  font-size: 80%;
  font-weight: 400;
}

mark,
.mark {
  padding: 0.2em;
  background-color: #fcf8e3;
}

.list-unstyled {
  padding-left: 0;
  list-style: none;
}

.list-inline {
  padding-left: 0;
  list-style: none;
}

.list-inline-item {
  display: inline-block;
}

.list-inline-item:not(:last-child) {
  margin-right: 0.5rem;
}

.initialism {
  font-size: 90%;
  text-transform: uppercase;
}

.blockquote {
  margin-bottom: 1rem;
  font-size: 1.25rem;
}

.blockquote-footer {
  display: block;
  font-size: 80%;
  color: #8898aa;
}

.blockquote-footer::before {
  content: "\2014\00A0";
}

.img-fluid {
  max-width: 100%;
  height: auto;
}

.img-thumbnail {
  padding: 0.25rem;
  background-color: #f8f9fe;
  border: 1px solid #dee2e6;
  border-radius: 0.375rem;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.075);
  max-width: 100%;
  height: auto;
}

.figure {
  display: inline-block;
}

.figure-img {
  margin-bottom: 0.5rem;
  line-height: 1;
}

.figure-caption {
  font-size: 90%;
  color: #8898aa;
}

code {
  font-size: 87.5%;
  color: #f3a4b5;
  word-wrap: break-word;
}

a>code {
  color: inherit;
}

kbd {
  padding: 0.2rem 0.4rem;
  font-size: 87.5%;
  color: #fff;
  background-color: #212529;
  border-radius: 0.25rem;
  box-shadow: inset 0 -0.1rem 0 rgba(0, 0, 0, 0.25);
}

kbd kbd {
  padding: 0;
  font-size: 100%;
  font-weight: 600;
  box-shadow: none;
}

pre {
  display: block;
  font-size: 87.5%;
  color: #212529;
}

pre code {
  font-size: inherit;
  color: inherit;
  word-break: normal;
}

.pre-scrollable {
  max-height: 340px;
  overflow-y: scroll;
}

.container,
.container-fluid,
.container-sm,
.container-md,
.container-lg,
.container-xl {
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

@media (min-width: 576px) {

  .container,
  .container-sm {
    max-width: 540px;
  }
}

@media (min-width: 768px) {

  .container,
  .container-sm,
  .container-md {
    max-width: 720px;
  }
}

@media (min-width: 992px) {

  .container,
  .container-sm,
  .container-md,
  .container-lg {
    max-width: 960px;
  }
}

@media (min-width: 1200px) {

  .container,
  .container-sm,
  .container-md,
  .container-lg,
  .container-xl {
    max-width: 1140px;
  }
}

.row {
  display: flex;
  flex-wrap: wrap;
  margin-right: -15px;
  margin-left: -15px;
}

.no-gutters {
  margin-right: 0;
  margin-left: 0;
}

.no-gutters>.col,
.no-gutters>[class*="col-"] {
  padding-right: 0;
  padding-left: 0;
}

@media (min-width: 576px) {

.table {
  width: 100%;
  margin-bottom: 1rem;
  color: #525f7f;
  background-color: transparent;
}

.table th,
.table td {
  padding: 1rem;
  vertical-align: top;
  border-top: 1px solid #e9ecef;
}

.table thead th {
  vertical-align: bottom;
  border-bottom: 2px solid #e9ecef;
}

.table tbody+tbody {
  border-top: 2px solid #e9ecef;
}

.table-sm th,
.table-sm td {
  padding: 0.5rem;
}

.table-bordered {
  border: 1px solid #e9ecef;
}

.table-bordered th,
.table-bordered td {
  border: 1px solid #e9ecef;
}

.table-bordered thead th,
.table-bordered thead td {
  border-bottom-width: 2px;
}

.table-borderless th,
.table-borderless td,
.table-borderless thead th,
.table-borderless tbody+tbody {
  border: 0;
}

.table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(0, 0, 0, 0.05);
}

.table-hover tbody tr:hover {
  color: #525f7f;
  background-color: #f6f9fc;
}

.table-primary,
.table-primary>th,
.table-primary>td {
  background-color: #d2d8f7;
}

.table-primary th,
.table-primary td,
.table-primary thead th,
.table-primary tbody+tbody {
  border-color: #abb6f1;
}

.table-hover .table-primary:hover {
  background-color: #bcc5f3;
}

.table-hover .table-primary:hover>td,
.table-hover .table-primary:hover>th {
  background-color: #bcc5f3;
}

.table-secondary,
.table-secondary>th,
.table-secondary>td {
  background-color: #fdfefe;
}

.table-secondary th,
.table-secondary td,
.table-secondary thead th,
.table-secondary tbody+tbody {
  border-color: #fbfcfd;
}

.table-hover .table-secondary:hover {
  background-color: #ecf6f6;
}

.table-hover .table-secondary:hover>td,
.table-hover .table-secondary:hover>th {
  background-color: #ecf6f6;
}

.table-success,
.table-success>th,
.table-success>td {
  background-color: #c4f1de;
}

.table-success th,
.table-success td,
.table-success thead th,
.table-success tbody+tbody {
  border-color: #92e6c2;
}

.table-hover .table-success:hover {
  background-color: #afecd2;
}

.table-hover .table-success:hover>td,
.table-hover .table-success:hover>th {
  background-color: #afecd2;
}

.table-info,
.table-info>th,
.table-info>td {
  background-color: #bcf1fb;
}

.table-info th,
.table-info td,
.table-info thead th,
.table-info tbody+tbody {
  border-color: #83e5f7;
}

.table-hover .table-info:hover {
  background-color: #a4ecfa;
}

.table-hover .table-info:hover>td,
.table-hover .table-info:hover>th {
  background-color: #a4ecfa;
}

.table-warning,
.table-warning>th,
.table-warning>td {
  background-color: #fed3ca;
}

.table-warning th,
.table-warning td,
.table-warning thead th,
.table-warning tbody+tbody {
  border-color: #fdae9c;
}

.table-hover .table-warning:hover {
  background-color: #febeb1;
}

.table-hover .table-warning:hover>td,
.table-hover .table-warning:hover>th {
  background-color: #febeb1;
}

.table-danger,
.table-danger>th,
.table-danger>td {
  background-color: #fcc7d1;
}

.table-danger th,
.table-danger td,
.table-danger thead th,
.table-danger tbody+tbody {
  border-color: #fa96aa;
}

.table-hover .table-danger:hover {
  background-color: #fbafbd;
}

.table-hover .table-danger:hover>td,
.table-hover .table-danger:hover>th {
  background-color: #fbafbd;
}

.table-light,
.table-light>th,
.table-light>td {
  background-color: #e8eaed;
}

.table-light th,
.table-light td,
.table-light thead th,
.table-light tbody+tbody {
  border-color: #d4d9dd;
}

.table-hover .table-light:hover {
  background-color: #dadde2;
}

.table-hover .table-light:hover>td,
.table-hover .table-light:hover>th {
  background-color: #dadde2;
}

.table-dark,
.table-dark>th,
.table-dark>td {
  background-color: #c1c2c3;
}

.table-dark th,
.table-dark td,
.table-dark thead th,
.table-dark tbody+tbody {
  border-color: #8c8e90;
}

.table-hover .table-dark:hover {
  background-color: #b4b5b6;
}

.table-hover .table-dark:hover>td,
.table-hover .table-dark:hover>th {
  background-color: #b4b5b6;
}

.table-default,
.table-default>th,
.table-default>td {
  background-color: #bec4cd;
}

.table-default th,
.table-default td,
.table-default thead th,
.table-default tbody+tbody {
  border-color: #8691a2;
}

.table-hover .table-default:hover {
  background-color: #b0b7c2;
}

.table-hover .table-default:hover>td,
.table-hover .table-default:hover>th {
  background-color: #b0b7c2;
}

.table-white,
.table-white>th,
.table-white>td {
  background-color: white;
}

.table-white th,
.table-white td,
.table-white thead th,
.table-white tbody+tbody {
  border-color: white;
}

.table-hover .table-white:hover {
  background-color: #f2f2f2;
}

.table-hover .table-white:hover>td,
.table-hover .table-white:hover>th {
  background-color: #f2f2f2;
}

.table-neutral,
.table-neutral>th,
.table-neutral>td {
  background-color: white;
}

.table-neutral th,
.table-neutral td,
.table-neutral thead th,
.table-neutral tbody+tbody {
  border-color: white;
}

.table-hover .table-neutral:hover {
  background-color: #f2f2f2;
}

.table-hover .table-neutral:hover>td,
.table-hover .table-neutral:hover>th {
  background-color: #f2f2f2;
}

.table-darker,
.table-darker>th,
.table-darker>td {
  background-color: #b8b8b8;
}

.table-darker th,
.table-darker td,
.table-darker thead th,
.table-darker tbody+tbody {
  border-color: #7a7a7a;
}

.table-hover .table-darker:hover {
  background-color: #ababab;
}

.table-hover .table-darker:hover>td,
.table-hover .table-darker:hover>th {
  background-color: #ababab;
}

.table-active,
.table-active>th,
.table-active>td {
  background-color: #f6f9fc;
}

.table-hover .table-active:hover {
  background-color: #e3ecf6;
}

.table-hover .table-active:hover>td,
.table-hover .table-active:hover>th {
  background-color: #e3ecf6;
}

.table .thead-dark th {
  color: #f8f9fe;
  background-color: #172b4d;
  border-color: #1f3a68;
}

.table .thead-light th {
  color: #8898aa;
  background-color: #f6f9fc;
  border-color: #e9ecef;
}

.table-dark {
  color: #f8f9fe;
  background-color: #172b4d;
}

.table-dark th,
.table-dark td,
.table-dark thead th {
  border-color: #1f3a68;
}

.table-dark.table-bordered {
  border: 0;
}

.table-dark.table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(255, 255, 255, 0.05);
}

.table-dark.table-hover tbody tr:hover {
  color: #f8f9fe;
  background-color: rgba(255, 255, 255, 0.075);
}

@media (max-width: 575.98px) {
  .table-responsive-sm {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }

  .table-responsive-sm>.table-bordered {
    border: 0;
  }
}

@media (max-width: 767.98px) {
  .table-responsive-md {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }

  .table-responsive-md>.table-bordered {
    border: 0;
  }
}

@media (max-width: 991.98px) {
  .table-responsive-lg {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }

  .table-responsive-lg>.table-bordered {
    border: 0;
  }
}

@media (max-width: 1199.98px) {
  .table-responsive-xl {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }

  .table-responsive-xl>.table-bordered {
    border: 0;
  }
}

.table-responsive {
  display: block;
  width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
}

.table-responsive>.table-bordered {
  border: 0;
}

.form-control {
  display: block;
  width: 100%;
  height: calc(1.5em + 1.25rem + 2px);
  padding: 0.625rem 0.75rem;
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 1.5;
  color: #8898aa;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #cad1d7;
  border-radius: 0.375rem;
  box-shadow: none;
  transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

@media (prefers-reduced-motion: reduce) {
  .form-control {
    transition: none;
  }
}

.form-control::-ms-expand {
  background-color: transparent;
  border: 0;
}

.form-control:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #8898aa;
}

.form-control:focus {
  color: #8898aa;
  background-color: #fff;
  border-color: rgba(50, 151, 211, 0.25);
  outline: 0;
  box-shadow: none, none;
}

.form-control::placeholder {
  color: #adb5bd;
  opacity: 1;
}

.form-control:disabled,
.form-control[readonly] {
  background-color: #e9ecef;
  opacity: 1;
}

input[type="date"].form-control,
input[type="time"].form-control,
input[type="datetime-local"].form-control,
input[type="month"].form-control {
  appearance: none;
}

select.form-control:focus::-ms-value {
  color: #8898aa;
  background-color: #fff;
}

.form-control-file,
.form-control-range {
  display: block;
  width: 100%;
}

.col-form-label {
  padding-top: calc(0.625rem + 1px);
  padding-bottom: calc(0.625rem + 1px);
  margin-bottom: 0;
  font-size: inherit;
  line-height: 1.5;
}

.col-form-label-lg {
  padding-top: calc(0.875rem + 1px);
  padding-bottom: calc(0.875rem + 1px);
  font-size: 0.875rem;
  line-height: 1.5;
}

.col-form-label-sm {
  padding-top: calc(0.25rem + 1px);
  padding-bottom: calc(0.25rem + 1px);
  font-size: 0.75rem;
  line-height: 1.5;
}

.form-control-plaintext {
  display: block;
  width: 100%;
  padding: 0.625rem 0;
  margin-bottom: 0;
  font-size: 0.875rem;
  line-height: 1.5;
  color: #525f7f;
  background-color: transparent;
  border: solid transparent;
  border-width: 1px 0;
}

.form-control-plaintext.form-control-sm,
.form-control-plaintext.form-control-lg {
  padding-right: 0;
  padding-left: 0;
}

.form-control-sm {
  height: calc(1.5em + 0.5rem + 2px);
  padding: 0.25rem 0.5rem;
  font-size: 0.75rem;
  line-height: 1.5;
  border-radius: 0.25rem;
}

.form-control-lg {
  height: calc(1.5em + 1.75rem + 2px);
  padding: 0.875rem 1rem;
  font-size: 0.875rem;
  line-height: 1.5;
  border-radius: 0.4375rem;
}

select.form-control[size],
select.form-control[multiple] {
  height: auto;
}

textarea.form-control {
  height: auto;
}

.form-group {
  margin-bottom: 1.5rem;
}

.form-text {
  display: block;
  margin-top: 0.25rem;
}

.form-row {
  display: flex;
  flex-wrap: wrap;
  margin-right: -5px;
  margin-left: -5px;
}

.form-row>.col,
.form-row>[class*="col-"] {
  padding-right: 5px;
  padding-left: 5px;
}

.form-check {
  position: relative;
  display: block;
  padding-left: 1.25rem;
}

.form-check-input {
  position: absolute;
  margin-top: 0.3rem;
  margin-left: -1.25rem;
}

.form-check-input[disabled]~.form-check-label,
.form-check-input:disabled~.form-check-label {
  color: #8898aa;
}

.form-check-label {
  margin-bottom: 0;
}

.form-check-inline {
  display: inline-flex;
  align-items: center;
  padding-left: 0;
  margin-right: 0.75rem;
}

.form-check-inline .form-check-input {
  position: static;
  margin-top: 0;
  margin-right: 0.3125rem;
  margin-left: 0;
}

.valid-feedback {
  display: none;
  width: 100%;
  margin-top: 0.25rem;
  font-size: 80%;
  color: #2dce89;
}

.valid-tooltip {
  position: absolute;
  top: 100%;
  z-index: 5;
  display: none;
  max-width: 100%;
  padding: .5rem;
  margin-top: .1rem;
  font-size: .875rem;
  line-height: 1;
  color: #fff;
  background-color: rgba(45, 206, 137, 0.8);
  border-radius: .2rem;
}

}